> ## Documentation Index
> Fetch the complete documentation index at: https://docs.maesn.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create journal entry

## Field support per integration

<AccordionGroup>
  <Accordion title="bexio" icon="https://mintcdn.com/maesn/51AaCYhZi3VILsjj/logo/bexio.svg?fit=max&auto=format&n=51AaCYhZi3VILsjj&q=85&s=1725cd998107a00ea8f7f9a83c250e29" width="24" height="24" data-path="logo/bexio.svg">
    Supported request parameters:

    <ResponseField name="files" type="file[]" />

    <ResponseField name="journal_entry" type="string" required>
      <Expandable title="properties">
        <ResponseField name="journalLineItems" type="JournalLineItem[]" required>
          <Expandable title="properties">
            <ResponseField name="accountId" type="string" required />

            <ResponseField name="currency" type="enum" required>
              Available options (3-letter ISO 4217):
              `AED`, `AFN`, `ALL`, `AMD`, `ANG`, `AOA`, `ARS`, `AUD`, `AWG`, `AZN`, `BAM`, `BBD`, `BDT`, `BGN`, `BHD`, `BIF`, `BMD`, `BND`, `BOB`, `BRL`, `BSD`, `BTN`, `BWP`, `BYR`, `BZD`, `CAD`, `CDF`, `CHF`, `CLP`, `CNY`, `COP`, `CRC`, `CUC`, `CVE`, `CZK`, `DJF`, `DKK`, `DOP`, `DZD`, `EEK`, `EGP`, `ERN`, `ETB`, `EUR`, `FJD`, `FKP`, `GBP`, `GEL`, `GHS`, `GIP`, `GMD`, `GNF`, `GQE`, `GTQ`, `GYD`, `HKD`, `HNL`, `HRK`, `HTG`, `HUF`, `IDR`, `ILS`, `INR`, `IQD`, `IRR`, `ISK`, `JMD`, `JOD`, `JPY`, `KES`, `KGS`, `KHR`, `KMF`, `KPW`, `KRW`, `KWD`, `KYD`, `KZT`, `LAK`, `LBP`, `LKR`, `LRD`, `LSL`, `LTL`, `LVL`, `LYD`, `MAD`, `MDL`, `MGA`, `MKD`, `MMK`, `MNT`, `MOP`, `MRO`, `MUR`, `MVR`, `MWK`, `MXN`, `MYR`, `MZM`, `NAD`, `NGN`, `NIO`, `NOK`, `NPR`, `NZD`, `OMR`, `PAB`, `PEN`, `PGK`, `PHP`, `PKR`, `PLN`, `PYG`, `QAR`, `RON`, `RSD`, `RUB`, `SAR`, `SBD`, `SCR`, `SDG`, `SEK`, `SGD`, `SHP`, `SLL`, `SOS`, `SRD`, `SYP`, `SZL`, `THB`, `TJS`, `TMT`, `TND`, `TRY`, `TTD`, `TWD`, `TZS`, `UAH`, `UGX`, `USD`, `UYU`, `UZS`, `VEB`, `VND`, `VUV`, `WST`, `XAF`, `XCD`, `XDR`, `XOF`, `XPF`, `YER`, `ZAR`, `ZMK`, `ZWR`
            </ResponseField>

            <ResponseField name="description" type="string" />

            <ResponseField name="debitCreditIndicator" type="string" required />

            <ResponseField name="exchangeRate " type="string" />

            <ResponseField name="totalGrossAmount" type="number" required />

            <ResponseField name="taxRate" type="taxRate">
              <Expandable title="properties">
                <ResponseField name="id" type="string" />
              </Expandable>
            </ResponseField>
          </Expandable>
        </ResponseField>

        <ResponseField name="number" type="string">
          The `number` field is optional. It can be used to define groups of journal entries with the same reference number.
        </ResponseField>

        <ResponseField name="transactionDate " type="string" required />
      </Expandable>
    </ResponseField>
  </Accordion>

  <Accordion title="Business Central" icon="https://mintcdn.com/maesn/51AaCYhZi3VILsjj/logo/businesscentral.svg?fit=max&auto=format&n=51AaCYhZi3VILsjj&q=85&s=9cdc50aa9f467133e9e9372eab83f38b" width="24" height="24" data-path="logo/businesscentral.svg">
    <Note>
      If you're not using the [Interactive Authentication Flow](/authentication#interactive-authentication-flow), make sure the query parameters `environmentName` and `companyId` are correctly populated.
      You can obtain these values by using the `GET Environments` and `GET Companies` endpoints available under the Authentication section.
    </Note>

    Supported request parameters:

    <ResponseField name="journal_entry" type="string" required>
      <Expandable title="properties">
        <ResponseField name="id" type="string" />

        <ResponseField name="accountId" type="string" />

        <ResponseField name="description" type="string" />

        <ResponseField name="journalLineItems" type="JournalLineItem[]">
          <Expandable title="properties">
            <ResponseField name="id" type="string" />

            <ResponseField name="accountId" type="string" />

            <ResponseField name="description" type="string" />

            <ResponseField name="totalGrossAmount" type="number" />
          </Expandable>
        </ResponseField>

        <ResponseField name="number" type="string" required />
      </Expandable>
    </ResponseField>
  </Accordion>

  <Accordion title="Dinero" icon="https://mintcdn.com/maesn/kIVKlwzahCAaENRK/logo/dinero.svg?fit=max&auto=format&n=kIVKlwzahCAaENRK&q=85&s=5c26225da75d99a6f6e099c50483eaa3" width="200" height="200" data-path="logo/dinero.svg">
    Supported request fields:

    <ResponseField name="journal_entry" type="string" required>
      <Expandable title="properties">
        <ResponseField name="isProvisional" type="boolean">
          Indicates whether the journal entry is provisional (draft) or booked (finalized).

          If set to <code>true</code>, a provisional journal entry is created; if set to <code>false</code>, a booked journal entry is created.

          <Note>
            Defaults to <code>true</code> if not provided.
          </Note>
        </ResponseField>

        <ResponseField name="journalLineItems" type="JournalLineItem[]" required>
          <Expandable title="properties">
            <ResponseField name="id" type="string">
              Id for the journal line.

              It can also be used to pair debit/credit entries.
              Line items with the same `id` value will be combined into a single Dinero line with both account and contra-account.

              **Pairing Scenario:** When two line items share the same `id` (one DEBIT, one CREDIT), they will be sent as a single line with:

              * `Account` from the DEBIT item
              * `Contra account` from the CREDIT item
              * `Amount` from the DEBIT item (always positive)
            </ResponseField>

            <ResponseField name="accountNumber" type="string" required>
              The account number. Must be numeric.

              When `documentId` is present, the `accountNumber` should be a bank account
            </ResponseField>

            <ResponseField name="description" type="string" required />

            <ResponseField name="debitCreditIndicator" type="enum" required>
              Available options: `DEBIT`, `CREDIT`
            </ResponseField>

            <ResponseField name="documentId" type="string">
              Reference to an invoice/bill ID for payment lines. When provided, the line becomes a **payment** that settles the referenced document.
            </ResponseField>

            <ResponseField name="totalGrossAmount" type="number" required>
              The net amount for the line item. Must be a positive amount.
            </ResponseField>

            <ResponseField name="taxRate" type="taxRate">
              <Expandable title="properties">
                <ResponseField name="code" type="string">
                  VAT code for the account or contra-account.
                </ResponseField>
              </Expandable>
            </ResponseField>
          </Expandable>
        </ResponseField>

        <ResponseField name="number" type="string">
          Journal entry number. Must be numeric.
        </ResponseField>

        <ResponseField name="transactionDate" type="string" required>
          For date format details visits the [`Standardized Data`](/standardization) section.

          It is the date the accounting entry is booked into the records.
        </ResponseField>
      </Expandable>
    </ResponseField>

    <ResponseField name="files" type="file[]" />
  </Accordion>

  <Accordion title="Exact Online" icon="https://mintcdn.com/maesn/gCd41Ws3USFubam4/logo/exact.svg?fit=max&auto=format&n=gCd41Ws3USFubam4&q=85&s=afa1af7a261b22f843ac73ee60896ede" width="24" height="24" data-path="logo/exact.svg">
    <Note>
      If you're not using the [Interactive Authentication Flow](/authentication#interactive-authentication-flow), make sure the query parameter `companyId` is correctly populated.
      You can obtain this value by using the `GET Companies` endpoint available under the Authentication section.
    </Note>

    Supported request parameters:

    <ResponseField name="journal_entry" type="string" required>
      <Expandable title="properties">
        <ResponseField name="accountId" type="string" />

        <ResponseField name="accountingPeriodId" type="string">
          <Note>
            `accountingPeriodId` accepted format: YYYY-MM .
          </Note>
        </ResponseField>

        <ResponseField name="currency" type="string" required />

        <ResponseField name="journalCode" type="string" required />

        <ResponseField name="journalLineItems" type="JournalLineItem[]">
          <Expandable title="properties">
            <ResponseField name="accountId" type="string" required />

            <ResponseField name="description" type="string" />

            <ResponseField name="dimensions " type="Dimension[]">
              <Expandable title="properties">
                <ResponseField name="id" type="string">
                  Required if `categoryName` is `Project`.
                </ResponseField>

                <ResponseField name="categoryName" type="string">
                  Supported values: `CostCenter`, `CostUnit`, `Project`
                </ResponseField>

                <ResponseField name="code" type="string">
                  Required if `categoryName` is `CostCenter` or `CostUnit`.
                </ResponseField>
              </Expandable>
            </ResponseField>

            <ResponseField name="supplierId" type="string" />

            <ResponseField name="taxRate " type="taxRate">
              <Expandable title="properties">
                <ResponseField name="code" type="string" />

                <ResponseField name="taxRatePercentage" type="string">
                  `taxRatePercentage` must be used in combination with `code`
                </ResponseField>
              </Expandable>
            </ResponseField>

            <ResponseField name="totalGrossAmount" type="number" />
          </Expandable>
        </ResponseField>
      </Expandable>
    </ResponseField>

    <ResponseField name="files" type="file[]" />

    <ResponseField name="filesPos" type="number[]">
      <Note>
        The `filesPos` field is an array of line item positions (starting from 1) that correspond to each uploaded file.
        The value at index `i` in filesPos refers to the line item that the file at index `i` in the files array should be linked to.
        This field is required when uploading files.

        Example:
        If you're uploading 2 files, and you want to link the first file to line item 1 and the second file to line item 3:
        `filesPos: [1, 3]`
      </Note>
    </ResponseField>
  </Accordion>

  <Accordion title="fortnox" icon="https://mintcdn.com/maesn/gCd41Ws3USFubam4/logo/fortnox.svg?fit=max&auto=format&n=gCd41Ws3USFubam4&q=85&s=14025f10bb2d1afa587fa8447531a376" width="24" height="24" data-path="logo/fortnox.svg">
    <Note>
      This endpoint creates finalized journal entries, which cannot be modified afterwards.
      VAT must be posted as its own journal line, using the relevant account id for VAT (e.g. 2611 for 25% output VAT).
    </Note>

    Supported request parameters:

    <ResponseField name="journal_entry" type="string" required>
      <Expandable title="properties">
        <ResponseField name="description" type="string" required />

        <ResponseField name="journalCode" type="string" required />

        <ResponseField name="journalLineItems" type="JournalLineItem[]" required>
          <Expandable title="properties">
            <ResponseField name="accountId" type="string" required />

            <ResponseField name="debitCreditIndicator" type="enum" required>
              Available options: `DEBIT`, `CREDIT`
            </ResponseField>

            <ResponseField name="description" type="string" />

            <ResponseField name="dimensions " type="Dimension[]">
              <Expandable title="properties">
                <ResponseField name="code " type="string" />
              </Expandable>
            </ResponseField>

            <ResponseField name="totalGrossAmount" type="number" required>
              The `totalGrossAmount` field is the amount posted to the target account id.
            </ResponseField>
          </Expandable>
        </ResponseField>

        <ResponseField name="journalType" type="string" />

        <ResponseField name="transactionDate" type="string" required />
      </Expandable>
    </ResponseField>

    <ResponseField name="files" type="file[]" />
  </Accordion>

  <Accordion title="Odoo" icon="https://mintcdn.com/maesn/NQwZPkomn6wLid0x/logo/odoo.svg?fit=max&auto=format&n=NQwZPkomn6wLid0x&q=85&s=16b33ba45aee32fe594395bd226756d1" width="24" height="24" data-path="logo/odoo.svg">
    Supported request parameters:

    <ResponseField name="journal_entry" type="string" required>
      <Expandable title="properties">
        <ResponseField name="journalCode" type="string" required />

        <ResponseField name="journalLineItems" type="JournalLineItem[]" required>
          <Expandable title="properties">
            <ResponseField name="accountId" type="string" required />

            <ResponseField name="supplierId" type="string" />

            <ResponseField name="totalNetAmount" type="number" required />

            <ResponseField name="taxRate " type="taxRate">
              <Expandable title="properties">
                <ResponseField name="id" type="string" />
              </Expandable>
            </ResponseField>
          </Expandable>
        </ResponseField>

        <ResponseField name="transactionDate " type="string" />
      </Expandable>
    </ResponseField>
  </Accordion>

  <Accordion title="Sage Active" icon="https://mintcdn.com/maesn/gCd41Ws3USFubam4/logo/sageactive.svg?fit=max&auto=format&n=gCd41Ws3USFubam4&q=85&s=db4ef71b40820611bd17295476ff28f9" width="24" height="24" data-path="logo/sageactive.svg">
    <Note>
      If you're not using the [Interactive Authentication Flow](/authentication#interactive-authentication-flow), make sure the query parameter `companyId` is correctly populated.
      You can obtain this value by using the `GET Companies` endpoint available under the Authentication section. Please use the id field as the companyId.
    </Note>

    Supported request parameters:

    <ResponseField name="journal_entry" type="string" required>
      <Expandable title="properties">
        <ResponseField name="description" type="string" required />

        <ResponseField name="journalLineItems" type="JournalLineItem[]" required>
          <Expandable title="properties">
            <ResponseField name="accountId" type="string" required />

            <ResponseField name="description" type="string" required />

            <ResponseField name="thirdPartyCode" type="string" />

            <ResponseField name="totalGrossAmount" type="number" required />
          </Expandable>
        </ResponseField>

        <ResponseField name="journalType" type="string" required />

        <ResponseField name="number" type="string" required />

        <ResponseField name="transactionDate" type="string" required />
      </Expandable>
    </ResponseField>

    <ResponseField name="files" type="file[]" />
  </Accordion>

  <Accordion title="Twinfield" icon="https://mintcdn.com/maesn/51AaCYhZi3VILsjj/logo/twinfield.svg?fit=max&auto=format&n=51AaCYhZi3VILsjj&q=85&s=aacf76ab75d30aabd615bc761d08f405" width="24" height="24" data-path="logo/twinfield.svg">
    <Note>
      If you're not using the [Interactive Authentication Flow](/authentication#interactive-authentication-flow), make sure the query parameter `companyId` is correctly populated.
      You can obtain this value by using the `GET Companies` endpoint available under the Authentication section.
    </Note>

    Supported request fields:

    <ResponseField name="journalCode" type="string" required />

    <ResponseField name="customerId" type="string" />

    <ResponseField name="documentId" type="string" />

    <ResponseField name="isProvisional" type="boolean" />

    <ResponseField name="journalLineItems" type="JournalLineItem[]" required>
      <Expandable title="properties">
        <Note>
          Note that each journal line can reference only one entity type. Please include only one of the following fields: customerId, supplierId, or dimension.
        </Note>

        <ResponseField name="accountId" type="string" required />

        <ResponseField name="customerId" type="string" />

        <ResponseField name="description" type="string" />

        <ResponseField name="dimensions " type="Dimension[]">
          <Expandable title="properties">
            <ResponseField name="categoryName" type="string" required />

            <ResponseField name="code" type="string" required />
          </Expandable>
        </ResponseField>

        <ResponseField name="documentNumber" type="string" />

        <ResponseField name="exchangeRate" type="string" />

        <ResponseField name="supplierId" type="string" />

        <ResponseField name="totalNetAmount" type="number" required />

        <ResponseField name="taxRate " type="taxRate">
          <Expandable title="properties">
            <ResponseField name="code" type="string" />
          </Expandable>
        </ResponseField>
      </Expandable>
    </ResponseField>
  </Accordion>

  <Accordion title="Visma e-conomic" icon="https://mintcdn.com/maesn/51AaCYhZi3VILsjj/logo/vismaeconomic.svg?fit=max&auto=format&n=51AaCYhZi3VILsjj&q=85&s=4b629e8bc1bfd12c3bedaaaf9cc03ef3" width="20" height="24" data-path="logo/vismaeconomic.svg">
    Supported request fields:

    <ResponseField name="journal_entry" type="string" required>
      <Expandable title="properties">
        <ResponseField name="currency" type="string" required />

        <ResponseField name="description" type="string" />

        <ResponseField name="exchangeRate" type="string" />

        <ResponseField name="isProvisional" type="boolean">
          Indicates whether the journal entry is provisional (draft) or booked (finalized).

          If set to <code>true</code>, a provisional journal entry is created; if set to <code>false</code>, a booked journal entry is created.

          <Note>
            Defaults to <code>true</code> if not provided.
          </Note>
        </ResponseField>

        <ResponseField name="journalCode" type="string" required>
          Must be a valid integer.

          You can obtain the value by using the `GET Journals`
        </ResponseField>

        <ResponseField name="journalLineItems" type="JournalLineItem[]" required>
          <Note>
            Maximum 2 line items are allowed per journal entry. When 2 line items are provided, one must be DEBIT and one must be CREDIT with the same amount.

            To create multiple entries for a voucher, create multiple journal entries with same `number`.
          </Note>

          <Expandable title="properties">
            <ResponseField name="accountNumber" type="string" required>
              Must be a valid integer representing the account number.
            </ResponseField>

            <ResponseField name="debitCreditIndicator" type="enum" required>
              Available options: `DEBIT`, `CREDIT`
            </ResponseField>

            <ResponseField name="taxRate" type="taxRate">
              <Expandable title="properties">
                <ResponseField name="code" type="string" />
              </Expandable>
            </ResponseField>

            <ResponseField name="totalGrossAmount" type="number" required>
              Must be a positive number with maximum 2 decimal places.
            </ResponseField>
          </Expandable>
        </ResponseField>

        <ResponseField name="number" type="string">
          The voucher number.

          The field is optional. It can be used to assign the same voucher number to multiple journal entries that belong to or reference the same voucher.

          <Note>
            If you do not need to associate multiple journal entries with the same voucher number, it is recommended to let the server generate the number automatically.
            This helps avoid accidentally choosing a voucher number that is already associated with an unrelated journal entry in the user's account.
          </Note>
        </ResponseField>

        <ResponseField name="transactionDate" type="string" required>
          For date format details visit the [`Standardized Data`](/standardization) section.
        </ResponseField>
      </Expandable>
    </ResponseField>

    <ResponseField name="files" type="file[]">
      <Note>
        Only one file is supported. Allowed file types: PDF, JPG, PNG. Maximum file size: 9MB.

        If the `number` field is used and a file is already associated with the same voucher number,
        the new file and the existing file will be merged.
      </Note>
    </ResponseField>
  </Accordion>

  <Accordion title="Xero" icon="https://mintcdn.com/maesn/51AaCYhZi3VILsjj/logo/xero.svg?fit=max&auto=format&n=51AaCYhZi3VILsjj&q=85&s=4496b21aab750469b3d5e96a1588d9f0" width="45" height="46" data-path="logo/xero.svg">
    Supported request parameters:

    <ResponseField name="journal_entry" type="string" required>
      <Expandable title="properties">
        <ResponseField name="accountingPeriodId" type="string" />

        <ResponseField name="description" type="string" required />

        <ResponseField name="journalLineItems" type="JournalLineItem[]" required>
          <Expandable title="properties">
            <ResponseField name="accountId" type="string" required />

            <ResponseField name="currency" type="enum">
              Available options (3-letter ISO 4217):
              `AED`, `AFN`, `ALL`, `AMD`, `ANG`, `AOA`, `ARS`, `AUD`, `AWG`, `AZN`, `BAM`, `BBD`, `BDT`, `BGN`, `BHD`, `BIF`, `BMD`, `BND`, `BOB`, `BRL`, `BSD`, `BTN`, `BWP`, `BYR`, `BZD`, `CAD`, `CDF`, `CHF`, `CLP`, `CNY`, `COP`, `CRC`, `CUC`, `CVE`, `CZK`, `DJF`, `DKK`, `DOP`, `DZD`, `EEK`, `EGP`, `ERN`, `ETB`, `EUR`, `FJD`, `FKP`, `GBP`, `GEL`, `GHS`, `GIP`, `GMD`, `GNF`, `GQE`, `GTQ`, `GYD`, `HKD`, `HNL`, `HRK`, `HTG`, `HUF`, `IDR`, `ILS`, `INR`, `IQD`, `IRR`, `ISK`, `JMD`, `JOD`, `JPY`, `KES`, `KGS`, `KHR`, `KMF`, `KPW`, `KRW`, `KWD`, `KYD`, `KZT`, `LAK`, `LBP`, `LKR`, `LRD`, `LSL`, `LTL`, `LVL`, `LYD`, `MAD`, `MDL`, `MGA`, `MKD`, `MMK`, `MNT`, `MOP`, `MRO`, `MUR`, `MVR`, `MWK`, `MXN`, `MYR`, `MZM`, `NAD`, `NGN`, `NIO`, `NOK`, `NPR`, `NZD`, `OMR`, `PAB`, `PEN`, `PGK`, `PHP`, `PKR`, `PLN`, `PYG`, `QAR`, `RON`, `RSD`, `RUB`, `SAR`, `SBD`, `SCR`, `SDG`, `SEK`, `SGD`, `SHP`, `SLL`, `SOS`, `SRD`, `SYP`, `SZL`, `THB`, `TJS`, `TMT`, `TND`, `TRY`, `TTD`, `TWD`, `TZS`, `UAH`, `UGX`, `USD`, `UYU`, `UZS`, `VEB`, `VND`, `VUV`, `WST`, `XAF`, `XCD`, `XDR`, `XOF`, `XPF`, `YER`, `ZAR`, `ZMK`, `ZWR`
            </ResponseField>

            <ResponseField name="customerId" type="string" />

            <ResponseField name="description" type="string" />

            <ResponseField name="dimensions " type="Dimension[]">
              <Expandable title="properties">
                <ResponseField name="id" type="string" />

                <ResponseField name="name " type="string" />
              </Expandable>
            </ResponseField>

            <ResponseField name="exchangeRate " type="string" />

            <ResponseField name="supplierId" type="string" />

            <ResponseField name="totalGrossAmount" type="number" required />

            <ResponseField name="totalNetAmount" type="number" required />

            <ResponseField name="totalTaxAmount" type="number" />

            <ResponseField name="taxRate " type="taxRate">
              <Expandable title="properties">
                <ResponseField name="id" type="string" />

                <ResponseField name="code" type="string" />

                <ResponseField name="name" type="string" />

                <ResponseField name="taxRatePercentage" type="string" />
              </Expandable>
            </ResponseField>
          </Expandable>
        </ResponseField>

        <ResponseField name="number " type="string" />

        <ResponseField name="transactionDate " type="string" />
      </Expandable>
    </ResponseField>

    <ResponseField name="files" type="file[]" required />
  </Accordion>
</AccordionGroup>


## OpenAPI

````yaml POST /accounting/journalEntries
openapi: 3.0.0
info:
  title: Maesn unified API
  description: The Maesn unified API description
  version: '1.0'
  contact: {}
servers:
  - url: https://api.maesn.dev
security: []
tags:
  - name: maesn
    description: ''
paths:
  /accounting/journalEntries:
    post:
      tags:
        - accounting
      operationId: create JournalEntry
      parameters:
        - name: companyId
          required: false
          in: query
          schema:
            type: string
        - name: environmentName
          in: query
          schema:
            type: string
          required: false
        - name: X-API-KEY
          description: API key
          in: header
          schema:
            type: string
            example: example value
          required: true
        - name: X-ACCOUNT-KEY
          description: Account key
          in: header
          schema:
            type: string
            example: example value
          required: true
      requestBody:
        required: true
        content:
          multipart/form-data:
            schema:
              type: object
              properties:
                files:
                  type: array
                  items:
                    format: binary
                  description: Array of files to upload
                filesPos:
                  type: array
                  items:
                    type: number
                  description: Array of file positions
                journal_entry:
                  $ref: '#/components/schemas/JournalentryRequestDto'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/BaseResponseDto'
                  - properties:
                      data:
                        type: array
                        items:
                          $ref: '#/components/schemas/JournalentryResponseDto'
components:
  schemas:
    JournalentryRequestDto:
      type: object
      properties:
        accountId:
          type: string
          example: d1bfd23-517d-4ec6-b7d4-56f86c7cf246
        accountingPeriodId:
          type: string
          example: 2021-06
        accountingReason:
          type: string
          enum:
            - COMMERCIAL
            - TAX
            - IFRS
            - CALCULATION
            - INDEPENDENT
            - OTHER
          example: COMMERCIAL
        currency:
          type: string
          enum:
            - AED
            - AFN
            - ALL
            - AMD
            - ANG
            - AOA
            - ARS
            - AUD
            - AWG
            - AZN
            - BAM
            - BBD
            - BDT
            - BGN
            - BHD
            - BIF
            - BMD
            - BND
            - BOB
            - BRL
            - BSD
            - BTN
            - BWP
            - BYR
            - BZD
            - CAD
            - CDF
            - CHF
            - CLP
            - CNY
            - COP
            - CRC
            - CUC
            - CVE
            - CZK
            - DJF
            - DKK
            - DOP
            - DZD
            - EEK
            - EGP
            - ERN
            - ETB
            - EUR
            - FJD
            - FKP
            - GBP
            - GEL
            - GHS
            - GIP
            - GMD
            - GNF
            - GQE
            - GTQ
            - GYD
            - HKD
            - HNL
            - HRK
            - HTG
            - HUF
            - IDR
            - ILS
            - INR
            - IQD
            - IRR
            - ISK
            - JMD
            - JOD
            - JPY
            - KES
            - KGS
            - KHR
            - KMF
            - KPW
            - KRW
            - KWD
            - KYD
            - KZT
            - LAK
            - LBP
            - LKR
            - LRD
            - LSL
            - LTL
            - LVL
            - LYD
            - MAD
            - MDL
            - MGA
            - MKD
            - MMK
            - MNT
            - MOP
            - MRO
            - MUR
            - MVR
            - MWK
            - MXN
            - MYR
            - MZM
            - NAD
            - NGN
            - NIO
            - NOK
            - NPR
            - NZD
            - OMR
            - PAB
            - PEN
            - PGK
            - PHP
            - PKR
            - PLN
            - PYG
            - QAR
            - RON
            - RSD
            - RUB
            - SAR
            - SBD
            - SCR
            - SDG
            - SEK
            - SGD
            - SHP
            - SLL
            - SOS
            - SRD
            - SYP
            - SZL
            - THB
            - TJS
            - TMT
            - TND
            - TRY
            - TTD
            - TWD
            - TZS
            - UAH
            - UGX
            - USD
            - UYU
            - UZS
            - VEB
            - VND
            - VUV
            - WST
            - XAF
            - XCD
            - XDR
            - XOF
            - XPF
            - YER
            - ZAR
            - ZMK
            - ZWR
          example: EUR
        description:
          type: string
          example: Hotel for dreamforce
        documentId:
          type: string
          example: b5e624e5-fb9e-4836-a443-87a3820f5b48
        exchangeRate:
          type: string
          example: 1,2045
        isProvisional:
          type: boolean
          example: 'false'
        isReversal:
          type: boolean
          example: false
        journalLineItems:
          type: array
          items:
            $ref: '#/components/schemas/createJournalLineItem'
        journalCode:
          type: string
          example: '60'
        journalType:
          type: string
          example: FIN
        'number ':
          type: string
          example: '21900030'
        recordType:
          type: string
          enum:
            - STANDARD
            - CLOSING
            - OPENING
          example: STANDARD
        transactionDate:
          type: string
          example: '2021-01-01T00:00:00Z'
        version:
          type: string
          example: AAAAACnY3os1
    BaseResponseDto:
      type: object
      properties:
        meta:
          $ref: '#/components/schemas/MetaResponse'
        data:
          oneOf:
            - type: object
            - type: array
    JournalentryResponseDto:
      type: object
      properties:
        id:
          type: string
          example: 8df2df10-0fae-40ad-9d22-f25e5ab0ba23
        accountId:
          type: string
          example: 94fdb7fd-13ae-47a6-8a2a-000e6ddc60d9
        accountingPeriodId:
          type: string
          example: 2021-06
        accountingReason:
          type: string
          enum:
            - COMMERCIAL
            - TAX
            - IFRS
            - CALCULATION
            - INDEPENDENT
            - OTHER
          example: COMMERCIAL
        createdDate:
          type: string
          example: '2021-01-01T00:00:00Z'
        currency:
          type: string
          enum:
            - AED
            - AFN
            - ALL
            - AMD
            - ANG
            - AOA
            - ARS
            - AUD
            - AWG
            - AZN
            - BAM
            - BBD
            - BDT
            - BGN
            - BHD
            - BIF
            - BMD
            - BND
            - BOB
            - BRL
            - BSD
            - BTN
            - BWP
            - BYR
            - BZD
            - CAD
            - CDF
            - CHF
            - CLP
            - CNY
            - COP
            - CRC
            - CUC
            - CVE
            - CZK
            - DJF
            - DKK
            - DOP
            - DZD
            - EEK
            - EGP
            - ERN
            - ETB
            - EUR
            - FJD
            - FKP
            - GBP
            - GEL
            - GHS
            - GIP
            - GMD
            - GNF
            - GQE
            - GTQ
            - GYD
            - HKD
            - HNL
            - HRK
            - HTG
            - HUF
            - IDR
            - ILS
            - INR
            - IQD
            - IRR
            - ISK
            - JMD
            - JOD
            - JPY
            - KES
            - KGS
            - KHR
            - KMF
            - KPW
            - KRW
            - KWD
            - KYD
            - KZT
            - LAK
            - LBP
            - LKR
            - LRD
            - LSL
            - LTL
            - LVL
            - LYD
            - MAD
            - MDL
            - MGA
            - MKD
            - MMK
            - MNT
            - MOP
            - MRO
            - MUR
            - MVR
            - MWK
            - MXN
            - MYR
            - MZM
            - NAD
            - NGN
            - NIO
            - NOK
            - NPR
            - NZD
            - OMR
            - PAB
            - PEN
            - PGK
            - PHP
            - PKR
            - PLN
            - PYG
            - QAR
            - RON
            - RSD
            - RUB
            - SAR
            - SBD
            - SCR
            - SDG
            - SEK
            - SGD
            - SHP
            - SLL
            - SOS
            - SRD
            - SYP
            - SZL
            - THB
            - TJS
            - TMT
            - TND
            - TRY
            - TTD
            - TWD
            - TZS
            - UAH
            - UGX
            - USD
            - UYU
            - UZS
            - VEB
            - VND
            - VUV
            - WST
            - XAF
            - XCD
            - XDR
            - XOF
            - XPF
            - YER
            - ZAR
            - ZMK
            - ZWR
          example: EUR
        description:
          type: string
          example: Hotel for dreamforce
        documentId:
          type: string
          example: b5e624e5-fb9e-4836-a443-87a3820f5b48
        files:
          type: array
          items:
            type: string
            example: file1.pdf
        exchangeRate:
          type: string
          example: 1,2045
        isProvisional:
          type: boolean
          example: 'false'
        isReversal:
          type: boolean
          example: false
        journalLineItems:
          type: array
          items:
            $ref: '#/components/schemas/journalLineItem'
        journalCode:
          type: string
          example: '60'
        journalType:
          type: string
          example: FIN
        'number ':
          type: string
          example: '21900030'
        recordType:
          type: string
          enum:
            - STANDARD
            - CLOSING
            - OPENING
          example: STANDARD
        transactionDate:
          type: string
          example: '2021-01-01T00:00:00Z'
        updatedDate:
          type: string
          example: '2021-01-01T00:00:00Z'
        version:
          type: string
          example: AAAAACnY3os1
    createJournalLineItem:
      type: object
      properties:
        id:
          type: string
          example: 123f57fd-13ae-47a6-8a2a-000e6ddc60d9
        accountCode:
          type: string
          example: '4034'
        accountId:
          type: string
          example: 94fdb7fd-13ae-47a6-8a2a-000e6ddc60d9
        accountNumber:
          type: string
          example: '1200'
        currency:
          type: string
          enum:
            - AED
            - AFN
            - ALL
            - AMD
            - ANG
            - AOA
            - ARS
            - AUD
            - AWG
            - AZN
            - BAM
            - BBD
            - BDT
            - BGN
            - BHD
            - BIF
            - BMD
            - BND
            - BOB
            - BRL
            - BSD
            - BTN
            - BWP
            - BYR
            - BZD
            - CAD
            - CDF
            - CHF
            - CLP
            - CNY
            - COP
            - CRC
            - CUC
            - CVE
            - CZK
            - DJF
            - DKK
            - DOP
            - DZD
            - EEK
            - EGP
            - ERN
            - ETB
            - EUR
            - FJD
            - FKP
            - GBP
            - GEL
            - GHS
            - GIP
            - GMD
            - GNF
            - GQE
            - GTQ
            - GYD
            - HKD
            - HNL
            - HRK
            - HTG
            - HUF
            - IDR
            - ILS
            - INR
            - IQD
            - IRR
            - ISK
            - JMD
            - JOD
            - JPY
            - KES
            - KGS
            - KHR
            - KMF
            - KPW
            - KRW
            - KWD
            - KYD
            - KZT
            - LAK
            - LBP
            - LKR
            - LRD
            - LSL
            - LTL
            - LVL
            - LYD
            - MAD
            - MDL
            - MGA
            - MKD
            - MMK
            - MNT
            - MOP
            - MRO
            - MUR
            - MVR
            - MWK
            - MXN
            - MYR
            - MZM
            - NAD
            - NGN
            - NIO
            - NOK
            - NPR
            - NZD
            - OMR
            - PAB
            - PEN
            - PGK
            - PHP
            - PKR
            - PLN
            - PYG
            - QAR
            - RON
            - RSD
            - RUB
            - SAR
            - SBD
            - SCR
            - SDG
            - SEK
            - SGD
            - SHP
            - SLL
            - SOS
            - SRD
            - SYP
            - SZL
            - THB
            - TJS
            - TMT
            - TND
            - TRY
            - TTD
            - TWD
            - TZS
            - UAH
            - UGX
            - USD
            - UYU
            - UZS
            - VEB
            - VND
            - VUV
            - WST
            - XAF
            - XCD
            - XDR
            - XOF
            - XPF
            - YER
            - ZAR
            - ZMK
            - ZWR
          example: EUR
        customerId:
          type: string
          example: 782d89b56-13ae-47a6-8a2a-45e6ddc50d9
        debitCreditIndicator:
          type: string
          enum:
            - DEBIT
            - CREDIT
          example: DEBIT
        description:
          type: string
          example: Uitgesteld 21600001 Kantoor 01-01-2021-31-12-2021
        dimensions:
          type: array
          items:
            $ref: '#/components/schemas/journalDimension'
        documentId:
          type: string
          example: b5e624e5-fb9e-4836-a443-87a3820f5b48
        documentNumber:
          type: string
          example: '123456789'
        exchangeRate:
          type: number
          example: 1
        supplierId:
          type: string
          example: 998933b56-13ae-47a6-8a32a-45e6ddc50d9
        taxRate:
          $ref: '#/components/schemas/taxRate'
          type: object
        thirdPartyCode:
          type: string
          example: '112233'
        totalGrossAmount:
          description: Gross amount of the line item — net plus tax (including VAT).
          type: number
          example: 1190
        totalNetAmount:
          description: Net amount of the line item — before tax (excluding VAT).
          type: number
          example: 1000
        totalTaxAmount:
          description: Tax (VAT) amount of the line item.
          type: number
          example: 190
    MetaResponse:
      type: object
      properties:
        warnings:
          type: array
          items:
            type: string
            example: Field not used by target system
        pagination:
          $ref: '#/components/schemas/PaginationResponse'
    journalLineItem:
      type: object
      properties:
        id:
          type: string
          example: 123f57fd-13ae-47a6-8a2a-000e6ddc60d9
        accountCode:
          type: string
          example: '4034'
        accountId:
          type: string
          example: da33b47c-98ca-4410-9c59-5db485ecaeb0
        accountNumber:
          type: number
          example: 8200
        'createdDate ':
          type: string
          example: '2021-01-01T00:00:00Z'
        currency:
          type: string
          enum:
            - AED
            - AFN
            - ALL
            - AMD
            - ANG
            - AOA
            - ARS
            - AUD
            - AWG
            - AZN
            - BAM
            - BBD
            - BDT
            - BGN
            - BHD
            - BIF
            - BMD
            - BND
            - BOB
            - BRL
            - BSD
            - BTN
            - BWP
            - BYR
            - BZD
            - CAD
            - CDF
            - CHF
            - CLP
            - CNY
            - COP
            - CRC
            - CUC
            - CVE
            - CZK
            - DJF
            - DKK
            - DOP
            - DZD
            - EEK
            - EGP
            - ERN
            - ETB
            - EUR
            - FJD
            - FKP
            - GBP
            - GEL
            - GHS
            - GIP
            - GMD
            - GNF
            - GQE
            - GTQ
            - GYD
            - HKD
            - HNL
            - HRK
            - HTG
            - HUF
            - IDR
            - ILS
            - INR
            - IQD
            - IRR
            - ISK
            - JMD
            - JOD
            - JPY
            - KES
            - KGS
            - KHR
            - KMF
            - KPW
            - KRW
            - KWD
            - KYD
            - KZT
            - LAK
            - LBP
            - LKR
            - LRD
            - LSL
            - LTL
            - LVL
            - LYD
            - MAD
            - MDL
            - MGA
            - MKD
            - MMK
            - MNT
            - MOP
            - MRO
            - MUR
            - MVR
            - MWK
            - MXN
            - MYR
            - MZM
            - NAD
            - NGN
            - NIO
            - NOK
            - NPR
            - NZD
            - OMR
            - PAB
            - PEN
            - PGK
            - PHP
            - PKR
            - PLN
            - PYG
            - QAR
            - RON
            - RSD
            - RUB
            - SAR
            - SBD
            - SCR
            - SDG
            - SEK
            - SGD
            - SHP
            - SLL
            - SOS
            - SRD
            - SYP
            - SZL
            - THB
            - TJS
            - TMT
            - TND
            - TRY
            - TTD
            - TWD
            - TZS
            - UAH
            - UGX
            - USD
            - UYU
            - UZS
            - VEB
            - VND
            - VUV
            - WST
            - XAF
            - XCD
            - XDR
            - XOF
            - XPF
            - YER
            - ZAR
            - ZMK
            - ZWR
          example: EUR
        customerId:
          type: string
          example: 782d89b56-13ae-47a6-8a2a-45e6ddc50d9
        debitCreditIndicator:
          type: string
          enum:
            - DEBIT
            - CREDIT
          example: DEBIT
        description:
          type: string
          example: Uitgesteld 21600001 Kantoor 01-01-2021-31-12-2021
        dimensions:
          type: array
          items:
            $ref: '#/components/schemas/journalDimension'
        documentId:
          type: string
          example: b5e624e5-fb9e-4836-a443-87a3820f5b48
        documentNumber:
          type: string
          example: '123456789'
        exchangeRate:
          type: number
          example: 1
        supplierId:
          type: string
          example: 998933b56-13ae-47a6-8a32a-45e6ddc50d9
        taxRate:
          $ref: '#/components/schemas/taxRate'
          type: object
        thirdPartyCode:
          type: string
          example: '112233'
        totalGrossAmount:
          description: Gross amount of the line item — net plus tax (including VAT).
          type: number
          example: 1190
        totalNetAmount:
          description: Net amount of the line item — before tax (excluding VAT).
          type: number
          example: 1000
        totalTaxAmount:
          description: Tax (VAT) amount of the line item.
          type: number
          example: 190
        updatedDate:
          type: string
          example: '2021-01-01T00:00:00Z'
    journalDimension:
      type: object
      properties:
        id:
          type: string
          example: efa82f42-fd85-11e1-a21f-0800200c9a33
        categoryName:
          type: string
          example: CostCenter
        code:
          type: string
          example: KD1
        name:
          type: string
          example: Material/Waren
    taxRate:
      type: object
      properties:
        id:
          type: string
          example: 1895b05b-38a6-4a6a-9653-166389894350
        code:
          type: string
          example: '03'
        name:
          type: string
          example: Tax19
        taxRatePercentage:
          type: string
          example: '19'
    PaginationResponse:
      type: object
      properties:
        total:
          type: number
          example: 125
        perPage:
          type: number
          example: 50
        currentPage:
          type: number
          example: 1
        totalPages:
          type: number
          example: 3

````